Bug 1006897 - Impossible to compile ejb-security-interceptors example
Impossible to compile ejb-security-interceptors example
Status: CLOSED DUPLICATE of bug 1011701
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: EAP 6.2.0
Assigned To: sgilda
Vladimir Rastseluev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 09:19 EDT by Vladimir Rastseluev
Modified: 2017-10-09 20:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 14:29:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Rastseluev 2013-09-11 09:19:42 EDT
Description of problem:
It's impossible to compile ejb-security-interceptors quickstart example

Version-Release number of selected component (if applicable):
EAP 6.2.0 ER1

How reproducible:
easy

Steps to Reproduce:
1. set up quickstarts
2. cd $QUICKSTARTS_HOME/ejb-security-interceptors
3. mvn clean install

Actual results:

[INFO] Scanning for projects...
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building JBoss AS Quickstarts: EJB Security Interceptors 7.1.2-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ jboss-as-ejb-security-interceptors ---
[INFO] Deleting /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/target
[INFO] 
[INFO] --- maven-resources-plugin:2.4.3:resources (default-resources) @ jboss-as-ejb-security-interceptors ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 6 resources
[INFO] 
[INFO] --- maven-compiler-plugin:2.3.1:compile (default-compile) @ jboss-as-ejb-security-interceptors ---
[INFO] Compiling 11 source files to /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/target/classes
[INFO] -------------------------------------------------------------
[ERROR] COMPILATION ERROR : 
[INFO] -------------------------------------------------------------
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[27,39] cannot find symbol
symbol  : class SubjectUserInfo
location: package org.jboss.as.controller.security

[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[28,46] cannot find symbol
symbol  : class RealmUser
location: package org.jboss.as.domain.management.security

[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[19,46] cannot find symbol
symbol  : class RealmUser
location: package org.jboss.as.domain.management.security

[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[28,18] cannot find symbol
symbol  : class RealmUser
location: class org.jboss.as.quickstarts.ejb_security_interceptors.OuterUserCredential

[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[30,30] cannot find symbol                                                                                                                                                                                           
symbol  : class RealmUser                                                                                                                                                                     
location: class org.jboss.as.quickstarts.ejb_security_interceptors.OuterUserCredential                                                                                                        
                                                                                                                                                                                              
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[48,8] cannot find symbol                                                                                                                                                                                      
symbol  : class RealmUser                                                                                                                                                                     
location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor                                                                                                  
                                                                                                                                                                                              
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[58,40] cannot find symbol                                                                                                                                                                                     
symbol  : class SubjectUserInfo
location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor

[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[59,20] cannot find symbol
symbol  : class SubjectUserInfo
location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor

[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[59,45] cannot find symbol
symbol  : class SubjectUserInfo
location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor

[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[61,47] cannot find symbol
symbol  : class RealmUser
location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor

[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[62,46] cannot find symbol
symbol  : class RealmUser
location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor

[INFO] 11 errors 
[INFO] -------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 10.930s
[INFO] Finished at: Wed Sep 11 15:12:38 CEST 2013
[INFO] Final Memory: 24M/102M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.1:compile (default-compile) on project jboss-as-ejb-security-interceptors: Compilation failure: Compilation failure:
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[27,39] cannot find symbol
[ERROR] symbol  : class SubjectUserInfo
[ERROR] location: package org.jboss.as.controller.security
[ERROR] 
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[28,46] cannot find symbol
[ERROR] symbol  : class RealmUser
[ERROR] location: package org.jboss.as.domain.management.security
[ERROR] 
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[19,46] cannot find symbol
[ERROR] symbol  : class RealmUser
[ERROR] location: package org.jboss.as.domain.management.security
[ERROR] 
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[28,18] cannot find symbol
[ERROR] symbol  : class RealmUser
[ERROR] location: class org.jboss.as.quickstarts.ejb_security_interceptors.OuterUserCredential
[ERROR] 
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/OuterUserCredential.java:[30,30] cannot find symbol
[ERROR] symbol  : class RealmUser
[ERROR] location: class org.jboss.as.quickstarts.ejb_security_interceptors.OuterUserCredential
[ERROR] 
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[48,8] cannot find symbol
[ERROR] symbol  : class RealmUser
[ERROR] location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor
[ERROR] 
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[58,40] cannot find symbol
[ERROR] symbol  : class SubjectUserInfo
[ERROR] location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor
[ERROR] 
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[59,20] cannot find symbol
[ERROR] symbol  : class SubjectUserInfo
[ERROR] location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor
[ERROR] 
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[59,45] cannot find symbol
[ERROR] symbol  : class SubjectUserInfo
[ERROR] location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor
[ERROR] 
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[61,47] cannot find symbol
[ERROR] symbol  : class RealmUser
[ERROR] location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor
[ERROR] 
[ERROR] /home/vrastsel/jboss-eap-6.2.0-quickstarts/ejb-security-interceptors/src/main/java/org/jboss/as/quickstarts/ejb_security_interceptors/ServerSecurityInterceptor.java:[62,46] cannot find symbol
[ERROR] symbol  : class RealmUser
[ERROR] location: class org.jboss.as.quickstarts.ejb_security_interceptors.ServerSecurityInterceptor
[ERROR] -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException


Expected results:
build is successful

Additional info:
Comment 1 sgilda 2013-09-13 15:57:32 EDT
t may be a waste of time to test the old quickstarts at this point. This one does work in the commnunity version.

I'll download the repository and try this out though.
Comment 2 sgilda 2013-09-13 16:19:18 EDT
I can't even get as far as you. I get:

Downloading: http://repo.maven.apache.org/maven2/org/jboss/as/jboss-as-ejb-client-bom/7.3.0.Final-redhat-1/jboss-as-ejb-client-bom-7.3.0.Final-redhat-1.pom
[ERROR] The build could not read 1 project -> [Help 1]
[ERROR]   
[ERROR]   The project org.jboss.as.quickstarts:jboss-as-ejb-security-interceptors:7.1.2-SNAPSHOT (/home/sgilda/Downloads/jboss-eap-6.2.0.Beta1-quickstarts/ejb-security-interceptors/pom.xml) has 13 errors
[ERROR]     Non-resolvable import POM: Could not find artifact org.jboss.spec:jboss-javaee-6.0:pom:3.0.2.Final-redhat-4 in jboss-eap (file:////home/sgilda/downloads/jboss-eap-6.2.0.Beta1-maven-repository/) @ line 75, column 22 -> [Help 2]
[ERROR]     Non-resolvable import POM: Could not find artifact org.jboss.as:jboss-as-ejb-client-bom:pom:7.3.0.Final-redhat-1 in jboss-eap (file:////home/sgilda/downloads/jboss-eap-6.2.0.Beta1-maven-repository/) @ line 82, column 22 -> [Help 2]
[ERROR]     'dependencies.dependency.version' for org.jboss.as:jboss-as-security:jar is missing. @ line 94, column 19
[ERROR]     'dependencies.dependency.version' for javax.enterprise:cdi-api:jar is missing. @ line 101, column 19
[ERROR]     'dependencies.dependency.version' for org.jboss.spec.javax.annotation:jboss-annotations-api_1.1_spec:jar is missing. @ line 108, column 19
[ERROR]     'dependencies.dependency.version' for org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec:jar is missing. @ line 115, column 19
[ERROR]     'dependencies.dependency.version' for org.jboss.spec.javax.ejb:jboss-ejb-api_3.1_spec:jar is missing. @ line 120, column 19
[ERROR]     'dependencies.dependency.version' for org.jboss.ejb3:jboss-ejb3-ext-api:jar is missing. @ line 125, column 19
[ERROR]     'dependencies.dependency.version' for org.jboss:jboss-ejb-client:jar is missing. @ line 132, column 19
[ERROR]     'dependencies.dependency.version' for org.jboss.xnio:xnio-api:jar is missing. @ line 138, column 19
[ERROR]     'dependencies.dependency.version' for org.jboss.xnio:xnio-nio:jar is missing. @ line 144, column 19
[ERROR]     'dependencies.dependency.version' for org.jboss.marshalling:jboss-marshalling-river:jar is missing. @ line 151, column 19
[ERROR]     'dependencies.dependency.version' for org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec:jar is missing. @ line 159, column 19
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
Comment 3 Paul Gier 2013-09-26 14:29:37 EDT
After switching to the new quickstarts, the same issue appeared with two related quicsktarts.  I will close this issue, since this should be fixed with bug 1011701.

*** This bug has been marked as a duplicate of bug 1011701 ***

Note You need to log in before you can comment on or make changes to this bug.